Subject: Ticket Assigned - Exclusive coupon code received from AD-BABYSHOP not working
From: Babyshop <[email-masked]>
To: [email-masked]
Date: Sun, 12 Jun 2022 16:20:52 +0000

Hi Mohammed yahya,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Exclusive coupon code received from AD-BABYSHOP not working Hi Team,

Today I got an SMS from "AD-BABYSHOP '' with the message "EXCLUSIVE OFFER
for you! Visit BABYSHOP & get FLAT AED50 OFF on spends of AED 150 or more.
Use promo code 180177498990522. Ends 9-Jun. T&C DND4934". I have tried this
given promo code in Store, Website and Mobile App also. Nothing works for
me. First I want to know if this is a valid promotional message, If yes
where I can redeem this. I have attached the screenshot of the received SMS
also a video where I tried to apply this promo code and it did not work.
 Online Shopping at Babyshop - Google Chrome 202...
<https://drive.google.com/file/d/1yPOcyTf06QEoh6nLJHglb_RZOOYtoYwp/view?usp=drive_web>

-- 
regards,
Mahesh Kumar S,
+971-547466284.

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4466399